package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.hr.project.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class MemberManagement extends HRBillBase implements IMemberManagement
{
    public MemberManagement()
    {
        super();
        registerInterface(IMemberManagement.class, this);
    }
    public MemberManagement(Context ctx)
    {
        super(ctx);
        registerInterface(IMemberManagement.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("B49500FE");
    }
    private MemberManagementController getController() throws BOSException
    {
        return (MemberManagementController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public MemberManagementCollection getMemberManagementCollection() throws BOSException
    {
        try {
            return getController().getMemberManagementCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public MemberManagementCollection getMemberManagementCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getMemberManagementCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public MemberManagementCollection getMemberManagementCollection(String oql) throws BOSException
    {
        try {
            return getController().getMemberManagementCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public MemberManagementInfo getMemberManagementInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getMemberManagementInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public MemberManagementInfo getMemberManagementInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getMemberManagementInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public MemberManagementInfo getMemberManagementInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getMemberManagementInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *设置审批中-User defined method
     *@param pk pk
     *@param model model
     *@return
     */
    public MemberManagementInfo actionSetAuditing(IObjectPK pk, MemberManagementInfo model) throws BOSException
    {
        try {
            return getController().actionSetAuditing(getContext(), pk, model);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}